Bug 238279 - [patch] devel/erlang-cuttlefish fix port to compile with erlang 21
Summary: [patch] devel/erlang-cuttlefish fix port to compile with erlang 21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-01 18:36 UTC by Kim Shrier
Modified: 2020-01-11 11:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (erlang)


Attachments
diff -u between the current patch file and the updated patch file (496 bytes, patch)
2019-06-01 18:36 UTC, Kim Shrier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kim Shrier 2019-06-01 18:36:12 UTC
Created attachment 204763 [details]
diff -u between the current patch file and the updated patch file

The current port restricts the legal erlang versions to 16 thru 20.  I have added version 21 to the list and tested it on RELEASE 11.2 p10, RELEASE 12.0 p5, and current r348271, for amd64.  I have also run the unit tests by doing a make, changing into the work directory work/cuttlefish-2.0.11, and executing "rebar eunit skip_deps=true".  All tests seem to pass on all three versions of FreeBSD.
Comment 1 Rene Ladan freebsd_committer 2020-01-10 20:39:58 UTC
Steal from erlang@
Comment 2 Rene Ladan freebsd_committer 2020-01-11 10:49:44 UTC
Fix committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-01-11 10:51:38 UTC
A commit references this bug:

Author: rene
Date: Sat Jan 11 10:50:37 UTC 2020
New revision: 522674
URL: https://svnweb.freebsd.org/changeset/ports/522674

Log:
  erlang/cuttlefish: fix build

  PR:		238279 [1]
  PR:		238676 [2]
  Submitted by:	fbsdports@westryn.net [1]
  Submitted by:	dewayne@heuristicsystems.com.au [2]
  MFH:		2020Q1

Changes:
  head/devel/erlang-cuttlefish/Makefile
  head/devel/erlang-cuttlefish/files/patch-rebar.config
Comment 4 commit-hook freebsd_committer 2020-01-11 11:57:44 UTC
A commit references this bug:

Author: rene
Date: Sat Jan 11 11:57:19 UTC 2020
New revision: 522678
URL: https://svnweb.freebsd.org/changeset/ports/522678

Log:
  MFH: r522674

  erlang/cuttlefish: fix build

  PR:		238279 [1]
  PR:		238676 [2]
  Submitted by:	fbsdports@westryn.net [1]
  Submitted by:	dewayne@heuristicsystems.com.au [2]

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/erlang-cuttlefish/Makefile
  branches/2020Q1/devel/erlang-cuttlefish/files/patch-rebar.config